#
# This file is part of rhevsh. rhevsh is free software that is made
# available under the MIT license. Consult the file "LICENSE" that is
# distributed together with this file for the exact licensing terms.
#
# rhevsh is copyright (c) 2011 by the rhevsh authors. See the file
# "AUTHORS" for a complete overview.

from cli.settings import Settings, enum, boolean


class RhevshSettings(Settings):

    settings = Settings.settings + [
        ('rhevsh:url', str, ''),
        ('rhevsh:username', str, ''),
        ('rhevsh:password', str, ''),
        ('rhevsh:input_format', enum('xml'), 'xml'),
        ('rhevsh:output_format', enum('xml', 'text'), 'text'),
        ('rhevsh:wide', boolean, False),
        ('rhevsh:header', boolean, True),
        ('rhevsh:fields', str, None),
        ('rhevsh:fields.*', str, None),
        ('rhevsh:ps1.connected', str, '(RHEV-M %(version)s) > '),
        ('rhevsh:ps1.disconnected', str, '(disconnected) > ')
    ]
